package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SEBLJOIN"
)
public class SEBLJOIN {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "PKTABLE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String pktable;
   @XmlAttribute(
      name = "FKTABLE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String fktable;
   @XmlAttribute(
      name = "OUTERJOINREL"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String outerjoinrel;
   @XmlAttribute(
      name = "SRCCOL",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String srccol;
   @XmlAttribute(
      name = "DESTCOL",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String destcol;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getPKTABLE() {
      return this.pktable;
   }

   public void setPKTABLE(String value) {
      this.pktable = value;
   }

   public String getFKTABLE() {
      return this.fktable;
   }

   public void setFKTABLE(String value) {
      this.fktable = value;
   }

   public String getOUTERJOINREL() {
      return this.outerjoinrel;
   }

   public void setOUTERJOINREL(String value) {
      this.outerjoinrel = value;
   }

   public String getSRCCOL() {
      return this.srccol;
   }

   public void setSRCCOL(String value) {
      this.srccol = value;
   }

   public String getDESTCOL() {
      return this.destcol;
   }

   public void setDESTCOL(String value) {
      this.destcol = value;
   }
}
